Skip to main content
Resource Center/Network Service/Network Service Operations/Network Security Policy Schedule Operations

CreateNetworkSecurityPolicySchedule

CreateNetworkSecurityPolicySchedule

POST/zstack/v1/network-security-policy-schedules

Operation ID

CreateNetworkSecurityPolicySchedule

Since

5.5.38

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The name.

    • description
      String

      Optional. The description.

    • resourceType
      StringRequired

      The type of the associated resource.

    • resourceUuid
      StringRequired

      The UUID of the associated resource.

    • timeType
      StringRequired

      The time type. Local or UTC.

    • repeatType
      StringRequired

      The schedule type.

    • startDate
      StringRequired

      The start date, in the format of yyyy-MM-dd.

    • endDate
      StringRequired

      The end date, in the format of yyyy-MM-dd.

    • startTime
      StringRequired

      The start time, in the format of HH:mm.

    • endTime
      StringRequired

      The end time, in the format of HH:mm. For Weekly, 00:00 to 00:00 indicates all day.

    • weekDays
      List

      Optional. The weekdays when the Weekly schedule takes effect. 1 indicates Monday, and 7 indicates Sunday.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeds.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default: null.

    • cause
      ErrorCodeRequired

      The root error, which is the source error that causes the current error. If there is no source error, this field is null.

  • inventory
    NetworkSecurityPolicyScheduleInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The schedule UUID.

    • name
      StringRequired

      The name.

    • description
      StringRequired

      The description.

    • resourceType
      StringRequired

      The type of the associated resource.

    • resourceUuid
      StringRequired

      The UUID of the associated resource.

    • timeType
      StringRequired

      The time type. Local or UTC.

    • repeatType
      StringRequired

      Once or Weekly

    • startDate
      StringRequired

      The start date, in the format of yyyy-MM-dd.

    • endDate
      StringRequired

      The end date, in the format of yyyy-MM-dd.

    • startTime
      StringRequired

      The start time, in the format of HH:mm.

    • endTime
      StringRequired

      The end time, in the format of HH:mm.

    • weekDays
      ListRequired

      The weekdays when the Weekly schedule takes effect.

    • expiring
      booleanRequired

      The time until the end of the last valid window is greater than 0 and less than 24 hours.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last modification time.

    • timeStatus
      NetworkSecurityPolicyScheduleTimeStatusRequired

      See timeStatus.

      • NotStarted
        NetworkSecurityPolicyScheduleTimeStatusRequired

        The overall start boundary has not been reached.

      • InWindow
        NetworkSecurityPolicyScheduleTimeStatusRequired

        The current minute is within a valid time window.

      • OutOfWindow
        NetworkSecurityPolicyScheduleTimeStatusRequired

        The current time is not within a valid time window, but subsequent valid windows still exist.

      • Ended
        NetworkSecurityPolicyScheduleTimeStatusRequired

        No subsequent valid window exists.